# pqxx::scoped_noticer Class Reference

Temporarily set different noticer for connection, then restore old one. More...

`#include <connection_base.hxx>`

Inheritance diagram for pqxx::scoped_noticer:

[legend]

List of all members.

## Public Member Functions
| scoped_noticer (connection_base &c, std::auto_ptr< noticer > t) throw ()
| Start period where different noticer applies to connection.
| ~scoped_noticer ()
## Protected Member Functions
| scoped_noticer (connection_base &c, noticer *t) throw ()
| Take ownership of given noticer, and start using it.

## Detailed Description

Temporarily set different noticer for connection, then restore old one.

Set different noticer in given connection for the duration of the scoped_noticer's lifetime. After that, the original noticer is restored.

No effort is made to respect any new noticer that may have been set in the meantime, so don't do that.

## Constructor & Destructor Documentation

pqxx::scoped_noticer::scoped_noticer | ( | connection_base & | c,
|  | std::auto_ptr< noticer > | t |
| ) |  |  | throw ()

Start period where different noticer applies to connection.

Parameters:

  | c | connection object whose noticer should be temporarily changed
  | t | temporary noticer object to use; will be destroyed on completion

pqxx::scoped_noticer::~scoped_noticer | ( |  | ) |

pqxx::scoped_noticer::scoped_noticer | ( | connection_base & | c,
|  | noticer * | t |
| ) |  |  | throw ()`[protected]`

Take ownership of given noticer, and start using it.

This constructor is not public because its interface does not express the fact that the scoped_noticer takes ownership of the noticer through an `auto_ptr`.

The documentation for this class was generated from the following file:

- connection_base.hxx